#include <unistd.h>
#include "../KOSMA_file_io.h"

int main()
{
  INT_VAR n_channel[100];  /* 1D-array */
  int j, i = 0;
  double newdata;

  ErrorLogfile( "" );
  DebugLevel( 1, 0 );
  SetErrorFormat( "" );

  /* set standard config file name */
  StandardConfigFile( __FILE__ );

  ConfigureInt( n_channel, "channel_number", "", "100" );

  while ( TRUE )
  {
    for ( j = 0; j < 10; j++ )
    {
      newdata = ReadVariablesVarSet( &n_channel[0].name );
      if ( newdata >= 0 )
        break;
      printf( "sleeping in cycle \t%d\n", i );
      usleep( 100 );
    }
    WriteVar( &n_channel[0].name );
    usleep( 100 );
    printf( "%d\t%f\n", i, newdata );
    newdata = -1.;
    i++;
  }

  exit( 0 );
}
