#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <ctype.h>

#ifndef TRUE
  #define TRUE 1
#endif
#ifndef FALSE
  #define FALSE 0
#endif

#ifndef DEBUGLEVEL
#  define DEBUGLEVEL 3
#endif

/* errorlevels:  0 <= errorlevel <= 9 */
#define DEBUG 1
#define INFO 2
#define WARNING 3
#define ERROR 4
#define FATAL 5

#define ERRORSTRINGLENGTH 257

#define SetError( n, string ) ( FctSetError( n, string, __FILE__, __LINE__ ) )

void DebugLevel( int debuglevel, int logginglevel );
void SetErrorFormat( char * );
void ErrorLogfile( const char *filename );
void FctSetError( int errorlevel, const char *message, 
                  const char *sourcefilename, int linenumber );
void ErrorMessage();
